# Create Precheck Task - CreateUDTSPrecheckTask

## Overview

Create Precheck Task






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `CreateUDTSPrecheckTask`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.sigcalcloud.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **Type** | string | Task type, unique value: transfer (data transfer) |**Yes**|
| **Source.N.Mode** | string | Task mode, the value can be full, incremental, full+incremental, bidirectional |**Yes**|
| **Source.N.DataType** | string | Database type, such as mysql |**Yes**|
| **Source.N.NWType** | string | Source network type, can be public, user, dedicated_line |**Yes**|
| **Source.N.ServiceType** | string | Service type, the value can be small/medium/large/2xlarge/4xlarge |**Yes**|
| **Source.N.BandwidthLimit** | string | Source speed limit, unit is MB/s |No|
| **Source.N.MySQLNode.Host** | string | MySQL Source Database Address |No|
| **Source.N.MySQLNode.Port** | string | MySQL Source Database Port |No|
| **Source.N.MySQLNode.User** | string | MySQL Source database username |No|
| **Source.N.MySQLNode.Password** | string | MySQL Source Database Password |No|
| **Source.N.MySQLNode.VPCId** | string | MySQL Source database VPC ID, needs to be filled in when the network type is 'user'. |No|
| **Source.N.MySQLNode.SubnetId** | string | MySQL Source database subnet ID, needs to be filled in when the network type is 'user'. |No|
| **Source.N.MySQLNode.DataRegion** | string | MySQL Database region, for example cn-bj2 |No|
| **Source.N.MySQLNode.Database** | string | MySQL Name of the DB to be migrated |No|
| **Source.N.MySQLNode.Table** | string | MySQL Name of the table to be migrated |No|
| **Target.DataType** | string | Target database type, for example mysql |**Yes**|
| **Target.NWType** | string | Target db network type, currently only supports user |**Yes**|
| **Target.BandwidthLimit** | string | Destination end speed limit, unit in MB/s |No|
| **Target.MySQLNode.Host** | string | MySQL Target database address, for example 10.9.37.212 |No|
| **Target.MySQLNode.Port** | string | MySQL Target database port, for example 3306 |No|
| **Target.MySQLNode.User** | string | MySQL Target database username, for example root |No|
| **Target.MySQLNode.Password** | string | MySQL Target Database Password |No|
| **Target.MySQLNode.VPCId** | string | MySQL Target Database VPC, for example uvnet-1wz5rqte |No|
| **Target.MySQLNode.SubnetId** | string | MySQL Target database subnet ID, for example subnet-zl44fktq |No|
| **Target.MySQLNode.DataRegion** | string | MySQL Target database region, for example cn-bj2 |No|
| **Target.MySQLNode.NoBinlog** | string | Whether to temporarily disable the generation of binlog in the target MySQL during the full process, it can be used when the target disk space is insufficient, or when a faster migration speed is needed. This parameter will disrupt the high availability of the target MySQL. |No|
| **Name** | string | Task name, length cannot exceed 128 |No|
| **MaxRetryCount** | string | Retry times, maximum is 5. Default is 0. |No|
| **Remark** | string | Note information, length cannot exceed 255 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **TaskID** | array[string] | Precheck Task ID |**Yes**|




## Example

### Request Example
    
```
https://api.sigcalcloud.com/?Action=CreateUDTSPrecheckTask
&ProjectId=ntXNtkID
&Type=AfoZJduy
&Source=IHEAqmdk
&Target=aBkkoVUT
&Name=TxOYjfgR
&MaxRetryCount=BPRbxxan
&Query=NbKDegKu
&Source.N.DataType=NNZyJdsV
&Source.N.NWType=qCxNICZB
&Target.DataType=YRCqYYvh
&Target.NWType=oaxpZkwo
&Source.N.ServiceType=MxwpRHJs
&Remark=AFDheYLi
&Source.N.BandwidthLimit=UNLVDJSa
&Source.N.MySQLNode.Host=HwaxGCXx
&Source.N.MySQLNode.Port=NHcFDODf
&Source.N.MySQLNode.User=ULywglVp
&Source.N.MySQLNode.Password=qbgJLOXF
&Source.N.MySQLNode.VPCId=BXdJnCHC
&Source.N.MySQLNode.SubnetId=XqeTEjRE
&Source.N.MySQLNode.DataRegion=LQxgOTGW
&Source.N.MySQLNode.Database=BsDfdZtc
&Source.N.MySQLNode.Table=KxFFerIx
&Target.BandwidthLimit=thOJfkpI
&Target.MySQLNode.Host=JZSOqdFp
&Target.MySQLNode.Port=nSWwqTBX
&Target.MySQLNode.User=WnQjwEdM
&Target.MySQLNode.Password=DgVchQcK
&Target.MySQLNode.VPCId=dpfwwKZF
&Target.MySQLNode.SubnetId=MiLTnWyz
&Target.MySQLNode.DataRegion=ecSjgaPM
&Target.MySQLNode.NoBinlog=biLinsqJ
```

### Response Example
    
```json
{
  "Action": "CreateUDTSPrecheckTaskResponse",
  "Data": {},
  "Message": "TVBFmuIU",
  "RetCode": 0
}
```





